getfem (5.4.4+dfsg1-5build2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 22 Jan 2026 20:44:42 +0000

getfem (5.4.4+dfsg1-5build1) resolute; urgency=medium

  * Rebuild against new libmumps-5.8.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 09 Dec 2025 14:35:32 +0100

getfem (5.4.4+dfsg1-5) unstable; urgency=medium

  * Team upload.
  * add gmm_torture01_lusolve to the test skip list in debian patch
    08_skip_failing_tests.patch. Fails on i386. Closes: #1103081
  * run dh_numpy3 after dh_python3
  * drop dh_missing from dh_install override
    (dh_missing is called automatically by dh)
  * debian/copyright: drop superlu, no longer included in source

 -- Drew Parsons <dparsons@debian.org>  Tue, 22 Apr 2025 12:51:00 +0200

getfem (5.4.4+dfsg1-4) unstable; urgency=medium

  * Team upload.
  * Also skip gmm_torture05_mult test, which failed on i386.
  * Also ignore failures in contrib/continuum_mechanics demo
    plasticity_fin_strain_lin_hardening_plane_strain.py which failed on arm64.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sat, 08 Feb 2025 13:45:28 +0000

getfem (5.4.4+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * Rename to 08_skip_failing_gmm_tests.patch the patch introduced in the
    previous upload, and also skip gmm_torture10_qr test, which currently fails
    on armel.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sat, 08 Feb 2025 10:16:09 +0000

getfem (5.4.4+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Add 08_skip_gmm_torture20_iterative_solvers.patch to skip a test that
    currently fails while building on s390x. Closes: #1095229.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sat, 08 Feb 2025 06:24:24 +0000

getfem (5.4.4+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 5.4.4. Closes: #1094699.
  * Drop
    - 01_fix_integral_type_portability_bug.patch
    - 08_fix_scipy_issue.patch
    - 09_fix_twice_build_issue.patch
    - 10_fix_getfem_python_for_gcc14.patch
    which were intregrated upstream.
  * Refresh 07_disable_scilab.patch

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Mon, 03 Feb 2025 08:06:50 +0000

getfem (5.4.2+dfsg1-5.1) unstable; urgency=medium

  * Team upload.
  * Add dependency on python3-setuptools (Closes: #1080892)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 10 Nov 2024 00:01:26 +0100

getfem (5.4.2+dfsg1-5) unstable; urgency=medium

  * Team upload.
  * Add 10_fix_getfem_python_for_gcc14.patch to fix FTBFS issue with GCC 14.
    The patch contains the diff for interface/src/python/getfem_python.c
    in several commits that have happened from the 5.4.2 release up to upstream
    commit b79b768052. Closes: #1077528.
  * Squash trailing whitespace in debian/changelog and debian/rules.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Wed, 28 Aug 2024 12:39:58 +0000

getfem (5.4.2+dfsg1-4) unstable; urgency=medium

  * Team upload.

  * Ack previous NMU upload.
  * Add 08_fix_scipy_issue.patch to fix py3.12 build issue
    (Closes: #1073374)
  * Set std-ver to 4.7.0.
  * Drop whitespace of d/changelog, d/rules and d/control
  * Add Rules-Requires-Root: no to debian/control
  * Add metadata file to debian/upstream
  * Add override_dh_auto_clean and 09_fix_twice_build_issue.patch
    to fix twice build issue. (Closes: #1049792)

 -- Bo YU <tsu.yubo@gmail.com>  Tue, 25 Jun 2024 18:19:30 +0800

getfem (5.4.2+dfsg1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062106

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 17:07:16 +0000

getfem (5.4.2+dfsg1-3) unstable; urgency=medium

  * Team upload.

  [ Konstantinos Poulios ]
  * Reenable unit tests on s390x.
  * debian patch 01_fix_integral_type_portability_bug.patch fixes
    portability issue and failing package build for s390x. Closes: #1023788.

 -- Drew Parsons <dparsons@debian.org>  Thu, 01 Dec 2022 12:53:47 +0100

getfem (5.4.2+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * temporarily skip tests on s390x. See Bug#1023788.

 -- Drew Parsons <dparsons@debian.org>  Mon, 28 Nov 2022 15:49:53 +0100

getfem (5.4.2+dfsg1-1) unstable; urgency=medium

  * Team upload.

  [ Konstantinos Poulios ]
  * New upstream release.
    - applies python3.10.patch
    - overrides scripts_python3.patch
  * Change libgmm-dev package architecture from "any" to "same"
  * Add Replaces/Breaks dependencies for old package names (Closes: #1016509)
  * Add build dependency on liblapack-dev, needed in unit-tests

 -- Drew Parsons <dparsons@debian.org>  Fri, 04 Nov 2022 16:52:09 +0100

getfem (5.4.1+dfsg1-1) unstable; urgency=medium

  * Team upload.

  [ Konstantinos Poulios ]
  * Remove unnecessary build dependencies.
  * Cleanup and fix gencontrol warnings.
  * Rename package from getfem++ to getfem.
  * New upstream release.
    - applies 04_fix_FTBFS.patch
    - overrides 06_gcc-6.patch
    - applies drop_python2.patch
    - overrides fix_blas_interface.patch
    - applies fix_python3_tests_4fe9963c.patch
    - overrides fix_python3_tests_8dcd729f.patch
    - overrides numpy1.14.patch

  [ Drew Parsons ]
  * drop src/getfem_boost from debian/copyright (no longer in source)

 -- Drew Parsons <dparsons@debian.org>  Wed, 06 Jul 2022 14:17:06 +0200

getfem++ (5.3+dfsg1-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix up the maintainer field.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 06 Apr 2022 21:08:03 +0200

getfem++ (5.3+dfsg1-4.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Graham Inggs ]
  * Check success of distutils import by return code rather
    than by stderr to avoid FTBFS with Python 3.10 (Closes: #1008689)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 06 Apr 2022 20:02:23 +0200

getfem++ (5.3+dfsg1-4) unstable; urgency=medium

  * Team upload.
  * mark as Build-Depends: python3-dev not python3-all-dev.
    Build system uses automake which makes it difficult to manage
    multiple python versions. Closes: #948018.
  * Standards-Version: 4.6.0
  * debhelper compatibility level 13
  * list usr/lib/python*/*-packages/getfem/*.py in debian/not-installed
    to work around Bug#1001914 in dh_missing. These python files are
    processed by dh_python3 via debian/python3-getfem++.pyinstall.

 -- Drew Parsons <dparsons@debian.org>  Sat, 18 Dec 2021 21:13:11 +0100

getfem++ (5.3+dfsg1-3) unstable; urgency=medium

  * Remove redundant dependencies on muparser and several boost packages.
  * Fix blas and lapack interface. Closes: #943943.

 -- Konstantinos Poulios <poulios.konstantinos@gmail.com>  Fri, 27 Dec 2019 13:51:29 +0000

getfem++ (5.3+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * debian patch scripts_python3.patch sets bin/extract_doc and
    bin/split_cmdref to python3. Closes: #943943.

 -- Drew Parsons <dparsons@debian.org>  Fri, 20 Dec 2019 23:50:04 +1100

getfem++ (5.3+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - applies 10_move_getfem_arch_config.patch
  * Standards-Version: 4.4.0
  * debhelper compatibility level 12: debhelper-compat (= 12)
  * drop Python 2: replace python-getfem++ with python3-getfem++.
    Closes: #916893, #936603.
    - add debian patch drop_python2.patch to mop up remaining
      Python2isms.
    - fix_python3_tests_4fe9963c.patch adapts upstream commit 4fe9963c
    - fix_python3_tests_8dcd729f.patch adapts upstream commit 8dcd729f
    - patch getfem.py and __init__.py installed in getfem dir to
      import self via .
    - run debian/tests/python3 from interface/tests/python
  * use dh_missing to identify uninstalled files
  * mark usr/getfem_toolbox/meshes as non-installed
    (only used by interface/tests, which are not installed)
  * python3-getfem++.pyinstall installs the python shared library directly
    from interface/src/python (apparently a bug in upstream build
    scripts: they no longer  install the python .so file)
  * mark libgmm++-dev as Architecture: any to match libmumps-dev
    dependency. Aids cross-compiling. Closes: #940325.

 -- Drew Parsons <dparsons@debian.org>  Mon, 23 Sep 2019 13:15:41 +0800

getfem++ (5.2+dfsg1-7) unstable; urgency=medium

  * Team upload
  * Fix compatibility with NumPy 1.14, thanks Daniel Watkins (Closes: #899019)
  * Update Vcs-* URIs for move to salsa.debian.org
  * Update upstream Homepage
  * Drop ancient X-Python-Version: >= 2.5
  * Bump Standards-Version to 4.1.4, no changes

 -- Graham Inggs <ginggs@debian.org>  Wed, 30 May 2018 10:57:15 +0000

getfem++ (5.2+dfsg1-6) unstable; urgency=medium

  * Team upload.
  * [7f95df8] Use (= ${source:Version}) for the libgmm++-dev. (Closes: #887618)
  * [8197c7b] Bump Standards-Version: 4.1.3
  * [e5c6cd0] Switch to compat-level 11
  * [0d4f384] Remove myself from uploaders
  * [432ed30] Remove testsuite-field in the d/control

 -- Anton Gladky <gladk@debian.org>  Sun, 04 Feb 2018 19:03:14 +0100

getfem++ (5.2+dfsg1-5) unstable; urgency=medium

  * [b7753e9] Install getfem_arch_config.h into gmm-folder. (Closes: #872670)
  * [94f31a4] Copy needed for compilation file in d/rules.
  * [58de27d] Add versioned depedndency on libgmm-dev.

 -- Anton Gladky <gladk@debian.org>  Sun, 20 Aug 2017 14:27:42 +0200

getfem++ (5.2+dfsg1-4) unstable; urgency=medium

  * [942a518] Fix FTBFS caused by the previous upload

 -- Anton Gladky <gladk@debian.org>  Wed, 16 Aug 2017 21:18:26 +0200

getfem++ (5.2+dfsg1-3) unstable; urgency=medium

  * [de659e0] Disable unreliable nonlinear_membrane test

 -- Anton Gladky <gladk@debian.org>  Wed, 16 Aug 2017 20:12:41 +0200

getfem++ (5.2+dfsg1-2) unstable; urgency=medium

  * [69ba5ec] Disable failing on mips64el test static_contact_gears.

 -- Anton Gladky <gladk@debian.org>  Tue, 15 Aug 2017 20:45:52 +0200

getfem++ (5.2+dfsg1-1) unstable; urgency=medium

  * [f8488f5] Update d/watch
  * [1b52fd2] Refresh patches.
  * [9388eb9] New upstream version 5.2+dfsg1. (Closes: #853416, #848859)
  * [ff6bc15] Bumped Standards-Version: 4.0.0
  * [ed9c10d] Ignore quilt dir
  * [46e9a04] Update patches.
  * [d6b5094] Set compat level 10
  * [ba31161] Set the maximal hardening level.
  * [d2ed10a] Remove not needed depends.

 -- Anton Gladky <gladk@debian.org>  Tue, 15 Aug 2017 00:02:15 +0200

getfem++ (5.1+dfsg1-4) unstable; urgency=medium

  [ Graham Inggs ]
  * [a461f19] Add missing depends on python-scipy for autopkgtests.
              (Closes: #836420)

  [ Anton Gladky ]
  * [e7274dc] Allow stderr output in autopkgtest.

 -- Anton Gladky <gladk@debian.org>  Mon, 26 Dec 2016 18:48:59 +0100

getfem++ (5.1+dfsg1-3) unstable; urgency=medium

  * [4251c39] Disable failing test.

 -- Anton Gladky <gladk@debian.org>  Wed, 31 Aug 2016 15:26:43 +0200

getfem++ (5.1+dfsg1-2) unstable; urgency=medium

  * [bb6f6b9] Disable failing test.

 -- Anton Gladky <gladk@debian.org>  Thu, 25 Aug 2016 20:37:51 +0200

getfem++ (5.1+dfsg1-1) unstable; urgency=medium

  * [414ff64] Update d/watch.
  * [32cbff8] Refresh patches.
  * [aae1c00] Imported Upstream version 5.1+dfsg1

 -- Anton Gladky <gladk@debian.org>  Tue, 23 Aug 2016 20:45:13 +0200

getfem++ (5.0+dfsg1-2) unstable; urgency=medium

  * [ed48876] Disable some failing tests.

 -- Anton Gladky <gladk@debian.org>  Sat, 13 Aug 2016 20:55:46 +0200

getfem++ (5.0+dfsg1-1) unstable; urgency=medium

  * [9d60233] Clean some outdated files in debian/
  * [7c602ec] Refresh patches.
  * [b5d9c68] Update autopkgtest.
  * [d9d1d36] Update getfem version to version 5.
  * [a5c700b] Disable one more failing on powerpc test.
  * [f767826] Fix typo in d/changelog.
  * [1912bfb] Fix FTBFS with gcc-6.
  * [24d9ddb] Update d/copyright.
  * [18eec2c] Disable scilab.
  * [8d54911] Imported Upstream version 5.0+dfsg1
  * [16305ad] Apply cme fix dpkg.

 -- Anton Gladky <gladk@debian.org>  Tue, 09 Aug 2016 21:52:07 +0200

getfem++ (4.2.1~beta1~svn4635~dfsg-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Revert commit 099be6a: The generated(?) d/control caused the FTBFS, as it
    removed several B-D lines. NOTE: d/control has been completely reverted,
    as many changes in d/control were not documented in the changelog, so
    assuming those were also not intended. (Closes: #818427)

 -- Tobias Frost <tobi@debian.org>  Sun, 10 Apr 2016 22:58:15 +0200

getfem++ (4.2.1~beta1~svn4635~dfsg-6) unstable; urgency=medium

  * [536e769] Add scilab to BD on arm64. (Closes: #815478, #816741)
  * [099be6a] Apply cme fix dpkg.

 -- Anton Gladky <gladk@debian.org>  Fri, 04 Mar 2016 21:57:27 +0100

getfem++ (4.2.1~beta1~svn4635~dfsg-5) unstable; urgency=medium

  * [d2f05df] Disable scilab-bindings on armel.
  * [1be577a] Drop python-support. (Closes: #786080)
  * [6631d16] Set Standatds-Version: 3.9.6. No changes.
  * [b8be6f0] Disable scilab on arm64. (Closes: #791539)

 -- Anton Gladky <gladk@debian.org>  Tue, 01 Sep 2015 22:45:12 +0200

getfem++ (4.2.1~beta1~svn4635~dfsg-4) unstable; urgency=medium

  [ Scott Howard ]
  * [8d1a31c] Rename package for GCC 5 transition. (Closes: #793243)

 -- Anton Gladky <gladk@debian.org>  Sun, 23 Aug 2015 22:27:04 +0200

getfem++ (4.2.1~beta1~svn4635~dfsg-3) unstable; urgency=medium

  * [28e1de7] Remove failing autotest.

 -- Anton Gladky <gladk@debian.org>  Sun, 04 May 2014 17:44:44 +0200

getfem++ (4.2.1~beta1~svn4635~dfsg-2) unstable; urgency=medium

  * [8d1763d] Disable scilab on powerpc and mipsel.
  * [9dfe279] Add autotests.

 -- Anton Gladky <gladk@debian.org>  Sat, 03 May 2014 10:28:06 +0200

getfem++ (4.2.1~beta1~svn4635~dfsg-1) unstable; urgency=medium

  * [b00f6a2] Imported Upstream version 4.2.1~beta1~svn4635~dfsg.
              (Closes: #743115)
  * [45e2e84] Update patches.

 -- Anton Gladky <gladk@debian.org>  Thu, 01 May 2014 22:49:51 +0200

getfem++ (4.2.1~beta1~svn4482~dfsg-3) unstable; urgency=medium

  * Team upload.
  * [e6eeb35] Update (build-) dependencies for libsuperlu3-dev ->
    libsuperlu-dev transition.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 06 Mar 2014 21:32:27 +0100

getfem++ (4.2.1~beta1~svn4482~dfsg-2) unstable; urgency=low

  * [7e66c7a] Let muparser be built on hurd.

 -- Anton Gladky <gladk@debian.org>  Mon, 09 Dec 2013 19:54:15 +0100

getfem++ (4.2.1~beta1~svn4482~dfsg-1) unstable; urgency=low

  * [a0095fe] Imported Upstream version 4.2.1~beta1~svn4482~dfsg
  * [388b847] Refresh patch.
  * [e79cef1] Bump Standards-Version 3.9.5. No changes.

 -- Anton Gladky <gladk@debian.org>  Thu, 05 Dec 2013 18:17:20 +0100

getfem++ (4.2.1~beta1~svn4453~dfsg-1) unstable; urgency=low

  * [e3bfac6] Imported Upstream version 4.2.1~beta1~svn4453~dfsg
  * [ef396dc] Refresh patches.

 -- Anton Gladky <gladk@debian.org>  Sat, 02 Nov 2013 19:46:13 +0100

getfem++ (4.2.1~beta1~svn4422~dfsg-1) unstable; urgency=low

  * Imported Upstream version 4.2.1~beta1~svn4422~dfsg. (Closes: #720786)
  * [6e2d143] Add get_orig.sh script.
  * [7cf02a9] Remove some old patches.
  * [1582708] Update patches.
  * [843fa56] Link boost_system explicitly.
  * [d7c875f] Simplify debian/rules.

 -- Anton Gladky <gladk@debian.org>  Sat, 14 Sep 2013 22:08:43 +0200

getfem++ (4.2+dfsg1-2) unstable; urgency=low

  * [ed398d5] Remove obsolete patches.
  * [5b3ac19] Fix FTBFS (topsrc variable in Makefiles). (Closes: #713626)
  * [8aeb68a] Use canonical VCS-field.
  * [c69b32f] Minor fix in changelog.
  * [ad44188] Use wrap-and-sort.
  * [375c354] Remove dh_pysupport.
  * [e078f28] Minor clean in debian/rules.

 -- Anton Gladky <gladk@debian.org>  Sun, 30 Jun 2013 21:04:54 +0200

getfem++ (4.2+dfsg1-1) unstable; urgency=low

  * [f22dd56] Imported Upstream version 4.1.1+dfsg1
  * [62ea42c] Update changelog.
  * [34b5caf] Convert to multiarch.
  * [2ede4e2] Remove obsolete DM-Upload flag.
  * [56bde73] Disable some more tests, which are unreliable.

 -- Anton Gladky <gladk@debian.org>  Tue, 07 May 2013 18:46:08 +0200

getfem++ (4.2+dfsg1-1~exp3) experimental; urgency=low

  * [4128354] Disabling ignoring of test failures. (Closes: #698611)
  * [bd0d183] Respect GETFEM_HAVE_METIS variable.
  * [8c5a0ef] Disable tests, which are unreliable on some platforms.
  * [daeaac2] Remove obsolete DM-Upload-Allowed flag.
  * [241a243] Bump Standards-Version: 3.9.4. No changes.

 -- Anton Gladky <gladk@debian.org>  Sun, 03 Feb 2013 13:44:16 +0100

getfem++ (4.1.1+dfsg1-11) unstable; urgency=low

  [ Anton Gladky ]
  * [2cba162] Add libmumps-dev to Depends of libgmm++-dev. (Closes: #680549)
  * [f22dd56] Imported Upstream version 4.1.1+dfsg1. (Closes: #693567)

  [ Sylvestre Ledru ]
  * [0b9acd3] Add a missing header for Scilab build.

 -- Anton Gladky <gladky.anton@gmail.com>  Sat, 17 Nov 2012 22:44:01 +0100

getfem++ (4.2+dfsg1-1~exp2) experimental; urgency=low

  [ Sylvestre Ledru ]
  * [1d596c2]   * Build again Scilab module
                * Add a missing header for Scilab build
                  (interface/src/scilab/sci_gateway/c/stream_redirect.h)

  [ Anton Gladky ]
  * [213e81f] Add repacking script.
  * [8a0b197] Imported Upstream version 4.2+dfsg1

 -- Anton Gladky <gladky.anton@gmail.com>  Sat, 17 Nov 2012 20:14:09 +0100

getfem++ (4.2-1~exp1) experimental; urgency=low

  * [2cba162] Add libmumps-dev to Depends of libgmm++-dev. (Closes: #680549)
  * [21e35a6] Imported Upstream version 4.2. (Closes: #683958)
  * [866e716] Update copyright-file.
  * [b58de9b] Update patches, remove applied by upstreams ones.
  * [e3eace3] Fix definition order of mumps_error_check.
  * [87e7680] Disable scilab for all platforms temporarly.
  * [9ea9941] Use --parallel option for faster building.
  * [19c74e6] Fix some examples.
  * [2f138f5] Update TODO.

 -- Anton Gladky <gladky.anton@gmail.com>  Wed, 07 Nov 2012 22:10:36 +0100

getfem++ (4.1.1-10) unstable; urgency=low

  * [da2d323] Fix FTBFS with gcc-4.7. Thanks to Philipp Büttgenbach.
              (Closes: #669635)
  * [20ac20d] Fix FTBFS with gcc-4.7. One more try.

 -- Anton Gladky <gladky.anton@gmail.com>  Fri, 25 May 2012 21:55:22 +0200

getfem++ (4.1.1-9) unstable; urgency=low

  * [adc1137] Add hurd-i386 and s390x to scilab-exclude platforms.
  * [8abc7ce] Use Standards-Version: 3.9.2. No changes.

 -- Anton Gladky <gladky.anton@gmail.com>  Mon, 19 Mar 2012 20:54:48 +0100

getfem++ (4.1.1-8) unstable; urgency=low

  * [9a9056f] Do not use scilab on s390x and hurd, BD-problem.
  * [1331fd5] Update copyright-file.
  * [93162c9] Add dh_numpy to debian/rules.

 -- Anton Gladky <gladky.anton@gmail.com>  Fri, 16 Mar 2012 22:12:09 +0100

getfem++ (4.1.1-7) unstable; urgency=low

  * [f97ed71] Disable muparser on hurd-i386, because libmuparser-dev
              does not persist on this platform.
  * [efa5204] Disable mumps on s390x, because libmumps-seq-dev
              does not persist on this platform.
  * [0edee68] Fix path in debian/copyright Format-field.
  * [b6807c2] Add debian/README.source.
  * [6624d34] Add "DM-Upload-Allowed: yes" flag.

 -- Anton Gladky <gladky.anton@gmail.com>  Mon, 30 Jan 2012 23:06:02 +0100

getfem++ (4.1.1-6) unstable; urgency=low

  * [c4edb51] Migrate to git.
  * [849b0e0] Use compat 9. Fix python-dependencies (use 2.7 explicitely).
  * [c087f62] Fix build with ld --no-add-needed. (Closes: #640410)
  * [15903db] Use dh9 for debian/rules.
  * [b28db0d] Add myself to uploaders.
  * [4442d8e] Don`t install scilab-getfem++ on kfreebsd* platforms, because
              scilab-minimal-bin is not available on them. (Closes: #639597)
  * [65f2e3d] Update VCS-fields.

 -- Anton Gladky <gladky.anton@gmail.com>  Fri, 27 Jan 2012 22:35:43 +0100

getfem++ (4.1.1-5) unstable; urgency=low

  * Team upload
  * Same player try again: fix of the FTBFS under kfreebsd.

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 07 Aug 2011 18:04:30 +0200

getfem++ (4.1.1-4) unstable; urgency=low

  * Team upload
  * FTBFS under kfreebsd. Scilab is disabled (Closes: #636795)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 06 Aug 2011 11:05:54 +0200

getfem++ (4.1.1-3) unstable; urgency=low

  * Disable scilab-getfem++ under kfreebsd-* and mips until the openjdk is
    ported/fixed on these archs (Closes: #624323)
  * Kill the .la file (Closes: #621311)
  * Add libmuparser-dev and libsuperlu3-dev to the dependencies of
    libgetfem++-dev to make getfem-config working out of the box
    (Closes: #596916)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 05 Aug 2011 16:44:59 +0200

getfem++ (4.1.1-2) unstable; urgency=low

  * Team upload
  * Upload to unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 07 Feb 2011 11:03:50 +0100

getfem++ (4.1.1-1) experimental; urgency=low

  * Team upload
  * New upstream release
  * Increase the soname (Closes: #591514)
  * Standards-Version updated to version 3.9.1
  * Creation of the scilab-getfem++ package

  [ Konstantinos Poulios ]
  * Remove redundant checks for mumps in the configure script

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 30 Nov 2010 00:34:22 +0100

getfem++ (4.1-1) unstable; urgency=low

  * New upstream release
  * Add dependency of libgetfem++-dev on libgmm++-dev
  * Enable muparser support
  * Add build dependency on python-scipy
  * Enable mumps_seq support

  [ Sylvestre Ledru ]
  * Update of debian/copyright. Remove reference file to BSD license
    to include the license directly.

 -- Konstantinos Poulios <poulios.konstantinos@gmail.com>  Tue, 20 Jul 2010 08:34:32 +0200

getfem++ (4.0.0-4) unstable; urgency=low

  * Missing dependency on python-numpy
  * Standards-Version updated to 3.8.4
  * Package moved to Debian Science
  * ${misc:Depends} missing for libgetfem++-dev

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 19 Mar 2010 15:21:51 +0100

getfem++ (4.0.0-3) unstable; urgency=low

  * Fix broken superlu interface in libgmm++-dev (Closes: #552709)

 -- Konstantinos Poulios <poulios.konstantinos@gmail.com>  Tue, 22 Dec 2009 14:41:24 +0100

getfem++ (4.0.0-2) unstable; urgency=low

  * Rebuild with python-support (>= 1.0.4). See #549283.
  * debian/control (Build-Depends): add version restriction (>= 1.0.4)
    to python-support

 -- Konstantinos Poulios <poulios.konstantinos@gmail.com>  Fri, 09 Oct 2009 12:51:52 +0200

getfem++ (4.0.0-1) unstable; urgency=low

  * Initial release (Closes: #453065)

 -- Konstantinos Poulios <poulios.konstantinos@gmail.com>  Tue, 29 Sep 2009 13:34:52 +0200
